All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
FilterRowBorder
1D Linear Filter

General purpose 1D convolution row filter with border control. More...

## Functions

NppStatus | nppiFilterRowBorder_8u_C1R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned 1D row convolution filter with border control. More...
NppStatus | nppiFilterRowBorder_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType)
NppStatus | nppiFilterRowBorder_8u_C3R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned 1D row convolution filter with border control. More...
NppStatus | nppiFilterRowBorder_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType)
NppStatus | nppiFilterRowBorder_8u_C4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Four channel channel 8-bit unsigned 1D row convolution filter with border control. More...
NppStatus | nppiFilterRowBorder_8u_C4R (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType)
NppStatus | nppiFilterRowBorder_8u_AC4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned convolution 1D row filter with border control, ignoring alpha channel. More...
NppStatus | nppiFilterRowBorder_8u_AC4R (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType)
NppStatus | nppiFilterRowBorder_16u_C1R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Single channel 16-bit unsigned convolution 1D row filter with border control. More...
NppStatus | nppiFilterRowBorder_16u_C1R (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType)
NppStatus | nppiFilterRowBorder_16u_C3R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Three channel 16-bit unsigned 1D row convolution filter with border control. More...
NppStatus | nppiFilterRowBorder_16u_C3R (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType)
NppStatus | nppiFilterRowBorder_16u_C4R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Four channel channel 16-bit 1D row unsigned convolution filter with border control. More...
NppStatus | nppiFilterRowBorder_16u_C4R (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType)
NppStatus | nppiFilterRowBorder_16u_AC4R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned 1D row convolution filter with border control, ignoring alpha channel. More...
NppStatus | nppiFilterRowBorder_16u_AC4R (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType)
NppStatus | nppiFilterRowBorder_16s_C1R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Single channel 16-bit 1D row convolution filter with border control. More...
NppStatus | nppiFilterRowBorder_16s_C1R (const Npp16s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType)
NppStatus | nppiFilterRowBorder_16s_C3R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Three channel 16-bit 1D row convolution filter with border control. More...
NppStatus | nppiFilterRowBorder_16s_C3R (const Npp16s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType)
NppStatus | nppiFilterRowBorder_16s_C4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Four channel channel 16-bit 1D row convolution filter with border control. More...
NppStatus | nppiFilterRowBorder_16s_C4R (const Npp16s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType)
NppStatus | nppiFilterRowBorder_16s_AC4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Four channel 16-bit 1D row convolution filter with border control, ignoring alpha channel. More...
NppStatus | nppiFilterRowBorder_16s_AC4R (const Npp16s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor, NppiBorderType eBorderType)
NppStatus | nppiFilterRowBorder_32f_C1R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Single channel 32-bit float 1D row convolution filter with border control. More...
NppStatus | nppiFilterRowBorder_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppiBorderType eBorderType)
NppStatus | nppiFilterRowBorder_32f_C3R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Three channel 32-bit float 1D row convolution filter with border control. More...
NppStatus | nppiFilterRowBorder_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppiBorderType eBorderType)
NppStatus | nppiFilterRowBorder_32f_C4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Four channel 32-bit float 1D row convolution filter with border control. More...
NppStatus | nppiFilterRowBorder_32f_C4R (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppiBorderType eBorderType)
NppStatus | nppiFilterRowBorder_32f_AC4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Four channel 32-bit float 1D row convolution filter with border control, ignoring alpha channel. More...
NppStatus | nppiFilterRowBorder_32f_AC4R (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppiBorderType eBorderType)

## Detailed Description

General purpose 1D convolution row filter with border control.

Pixels under the mask are multiplied by the respective weights in the mask and the results are summed. Before writing the result pixel the sum is scaled back via division by nDivisor. If any portion of the mask overlaps the source image boundary the requested border type operation is applied to all mask pixels which fall outside of the source image.

Currently only the NPP_BORDER_REPLICATE border type operation is supported.

### Common parameters for nppiFilterRowBorder functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSrcSize | Source image width and height in pixels relative to pSrc.
  oSrcOffset | The pixel offset that pSrc points to relative to the origin of the source image.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pKernel | Pointer to the start address of the kernel coefficient array. Coeffcients are expected to be stored in reverse order.
  nMaskSize | Width of the kernel.
  nAnchor | X offset of the kernel origin frame of reference relative to the source pixel.
  nDivisor | The factor by which the convolved summation from the Filter operation should be divided. If equal to the sum of coefficients, this will keep the maximum result value within full scale.
  eBorderType | The border type operation to be applied at source image border boundaries.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiFilterRowBorder_16s_AC4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterRowBorder_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit 1D row convolution filter with border control, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterRowBorder functions.

NppStatus nppiFilterRowBorder_16s_C1R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterRowBorder_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit 1D row convolution filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterRowBorder functions.

NppStatus nppiFilterRowBorder_16s_C3R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterRowBorder_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit 1D row convolution filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterRowBorder functions.

NppStatus nppiFilterRowBorder_16s_C4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterRowBorder_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel channel 16-bit 1D row convolution filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterRowBorder functions.

NppStatus nppiFilterRowBorder_16u_AC4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterRowBorder_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned 1D row convolution filter with border control, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterRowBorder functions.

NppStatus nppiFilterRowBorder_16u_C1R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterRowBorder_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit unsigned convolution 1D row filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterRowBorder functions.

NppStatus nppiFilterRowBorder_16u_C3R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterRowBorder_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit unsigned 1D row convolution filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterRowBorder functions.

NppStatus nppiFilterRowBorder_16u_C4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterRowBorder_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel channel 16-bit 1D row unsigned convolution filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterRowBorder functions.

NppStatus nppiFilterRowBorder_32f_AC4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterRowBorder_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit float 1D row convolution filter with border control, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterRowBorder functions.

NppStatus nppiFilterRowBorder_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterRowBorder_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit float 1D row convolution filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterRowBorder functions.

NppStatus nppiFilterRowBorder_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterRowBorder_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 32-bit float 1D row convolution filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterRowBorder functions.

NppStatus nppiFilterRowBorder_32f_C4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterRowBorder_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit float 1D row convolution filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterRowBorder functions.

NppStatus nppiFilterRowBorder_8u_AC4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterRowBorder_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned convolution 1D row filter with border control, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterRowBorder functions.

NppStatus nppiFilterRowBorder_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterRowBorder_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned 1D row convolution filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterRowBorder functions.

NppStatus nppiFilterRowBorder_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterRowBorder_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned 1D row convolution filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterRowBorder functions.

NppStatus nppiFilterRowBorder_8u_C4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterRowBorder_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel channel 8-bit unsigned 1D row convolution filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterRowBorder functions.

Copyright © 2009-2020 NVIDIA Corporation